ChangeSet 1.1254.1.80, 2003/06/02 09:39:52-07:00, bunk@fs.tum.de

[PATCH] SECURITY_ROOTPLUG must depend on USB

The following patch lets SECURITY_ROOTPLUG depend on USB (otherwise
there are link errors since Root Plug Support needs
usb_bus_list{,_lock}):


 security/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/security/Kconfig b/security/Kconfig
--- a/security/Kconfig	Mon Jun  2 11:20:01 2003
+++ b/security/Kconfig	Mon Jun  2 11:20:01 2003
@@ -33,7 +33,7 @@
 
 config SECURITY_ROOTPLUG
 	tristate "Root Plug Support"
-	depends on SECURITY!=n
+	depends on USB && SECURITY!=n
 	help
 	  This is a sample LSM module that should only be used as such.
 	  It prevents any programs running with egid == 0 if a specific
